
public class TestIndexing {
	private static final boolean BLOW_INDEXING = true;
	
	public static void main(String[] args) {
		DefaultCacheManager cacheManager = new DefaultCacheManager("infinispan.xml"); 
		
		Cache<Integer, Bean> cache = cacheManager.getCache("testCache");
		
		for (int i = 0; i < 10000; i++) {
			cache.put(Integer.valueOf(i), new Bean(Integer.toString(i)));
			
			SearchManager searchManager = Search.getSearchManager(cache);
			QueryBuilder queryBuilder = searchManager.buildQueryBuilderForClass(Bean.class).get();
			Query query = queryBuilder.all().createQuery();
			CacheQuery cacheQuery = searchManager.getQuery(query, Bean.class);
			
			if (BLOW_INDEXING) {
				int j;
				for (Object object : cacheQuery) {
					j++;
				}
			} else {
				cacheQuery.getResultSize();
			}
		}
	}
}
